> ## Documentation Index
> Fetch the complete documentation index at: https://sitespeak.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Quick Start

> Get up and running with the SiteSpeakAI API

## Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from your [Account page](https://sitespeak.ai/user/api-tokens) at any time.

## Make your first request

To make your first request, send an authenticated request to the `/me` endpoint. This will return your user account details.

### Retrieve your user account details

<Note>
  **GET** `https://api.sitespeak.ai/v1/me`

  Retrieves your user account details and validates that your token is active.
</Note>

#### Headers

| Name            | Type   | Description        |
| --------------- | ------ | ------------------ |
| Authorization\* | String | Bearer {api_token} |

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.sitespeak.ai/v1/me \
    -H "Authorization: Bearer YOUR_API_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.sitespeak.ai/v1/me', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_API_TOKEN'
    }
  });

  const data = await response.json();
  console.log(data);
  ```
</CodeGroup>

#### Response

<Tabs>
  <Tab title="200 Success">
    ```json theme={null}
    {
      "user": {
        "id": "",
        "name": "Your Name",
        "email": "your.email@example.com",
        "social_id": null,
        "social_type": null,
        "current_team_id": null,
        "profile_photo_path": null,
        "created_at": "2023-06-20T18:05:18.000000Z",
        "updated_at": "2023-09-24T12:11:48.000000Z",
        "avatar": "",
        "profile_photo_url": ""
      }
    }
    ```
  </Tab>

  <Tab title="401 Permission denied">
    Returns when the API token is invalid or missing.
  </Tab>
</Tabs>

***

## API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation:

<CardGroup cols={2}>
  <Card title="Chatbot" icon="robot" href="/api-reference/chatbot/get-chatbot">
    All methods associated with a chatbot
  </Card>

  <Card title="Conversation History" icon="messages" href="/api-reference/conversations/get-conversations">
    Retrieve conversation history from a chatbot
  </Card>

  <Card title="Updated Answers" icon="sliders" href="/api-reference/echo/get-echo">
    Retrieve, create and delete updated answers
  </Card>

  <Card title="Leads" icon="user-plus" href="/api-reference/leads/get-leads">
    Retrieve leads captured by a chatbot
  </Card>

  <Card title="Suggested Messages" icon="lightbulb" href="/api-reference/prompts/get-prompts">
    Retrieve the suggested messages for a chatbot
  </Card>

  <Card title="Query" icon="magnifying-glass" href="/api-reference/query/query-chatbot">
    Query a chatbot and get responses
  </Card>

  <Card title="Sources" icon="database" href="/api-reference/sources/get-sources">
    Get the training sources for a chatbot
  </Card>

  <Card title="User" icon="user" href="/api-reference/user/get-user">
    Methods associated with a user account
  </Card>
</CardGroup>
